> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tool Function Invoke Log Id

> Gets tool_function_invoke_log by its id



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/tool_function_invoke_log/{tool_function_invoke_log_id}
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/tool_function_invoke_log/{tool_function_invoke_log_id}:
    get:
      tags:
        - Log
      summary: Get Tool Function Invoke Log Id
      description: Gets tool_function_invoke_log by its id
      operationId: >-
        get_tool_function_invoke_log_id_api_v1_tool_function_invoke_log__tool_function_invoke_log_id__get
      parameters:
        - name: tool_function_invoke_log_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Tool Function Invoke Log Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/IGetResponseBase_IToolFunctionInvokeLogRead_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponseBase_IToolFunctionInvokeLogRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data retrieved successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IToolFunctionInvokeLogRead'
            - type: 'null'
      type: object
      title: IGetResponseBase[IToolFunctionInvokeLogRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IToolFunctionInvokeLogRead:
      properties:
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        tool_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Tool Id
        tool_function_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Tool Function Id
        tool_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Tool User Id
        assistant_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Assistant Id
        widget_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Widget Id
        call_arguments:
          additionalProperties: true
          type: object
          title: Call Arguments
          default: {}
        call_response:
          anyOf:
            - type: string
            - type: 'null'
          title: Call Response
        id:
          type: string
          format: uuid
          title: Id
      type: object
      required:
        - id
      title: IToolFunctionInvokeLogRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.